org.apache.jmeter.samplers

## Interface Interruptible

All Known Implementing Classes:
  AccessLogSampler, AjpSampler, BeanShellSampler, FTPSampler, HTTPAbstractImpl, HTTPFileImpl, HTTPHC4Impl, HTTPHCAbstractImpl, HTTPJavaImpl, HTTPSampler, HTTPSamplerProxy, JavaSampler, JavaTest, JMeterThread, MailReaderSampler, SleepTest, SubscriberSampler, TCPSampler, TestAction

    public interface Interruptible

Samplers which are able to interrupt a potentially long-running operation should implement this interface.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `interrupt()` Interrupt the current operation if possible.

### Method Detail

#### interrupt

    boolean interrupt()

Interrupt the current operation if possible.

Returns:
  `true` if there was an operation to interrupt.